XUND
API ReferenceOverview

Get added and suggested-but-not-added symptoms in the check

GET/v1/chatbot/overview

Get the list of added and suggested but not added symptoms in the check.

Usage of this endpoint is mandatory for moving on from the OVERVIEW question. The POST /v1/chatbot/overview/confirm endpoint does not work until the overview is requested with this endpoint.

Authorization

BearerToken
AuthorizationBearer <token>

Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.

In: header

Header Parameters

check-id*string

The ongoing check's identifier.

language*string

The expected language of the response.

Response Body

application/json

curl -X GET "https://example.com/v1/chatbot/overview" \  -H "authorization: Bearer <token>" \  -H "check-id: 5e93d7a1-f240-43b5-8937-33419ea9cb6a" \  -H "language: en"
{  "addedSymptoms": [    {      "id": "5e63f95e-ef3b-42ce-9027-ff6e021e19ef",      "name": "Abdominal pain",      "actionInfo": {        "title": "Do you want to erase or edit the symptom?",        "actions": [          {            "title": "Edit",            "type": "EDIT"          },          {            "title": "Delete",            "type": "DELETE"          }        ]      }    },    {      "id": "67181a30-0441-45b7-bf82-38130b9c2cca",      "name": "Fever",      "actionInfo": {        "title": "Do you want to erase or edit the symptom?",        "actions": [          {            "title": "Edit",            "type": "EDIT"          },          {            "title": "Delete",            "type": "DELETE"          }        ]      }    }  ],  "suggestedNotAddedSymptoms": [    {      "name": "Diarrhoea",      "id": "78ea9475-7630-4947-89a5-d7d5d8ee3eed"    },    {      "name": "Nausea",      "id": "86181145-376a-47ec-9a00-f84d4bc3d15d"    },    {      "name": "Abdominal cramps",      "id": "1f26aebf-89ff-4994-8ac2-d480a8dcc28e"    },    {      "name": "Headache",      "id": "3416dc71-b330-4b85-bc21-ef33ba0b3369"    }  ]}

Last updated on